# `Plushie.Event.StreamEvent`
[🔗](https://github.com/plushie-ui/plushie-elixir/blob/v0.7.2/lib/plushie/event/stream_event.ex#L1)

Intermediate values from `Plushie.Command.stream/2` tasks.

## Fields

- `tag` - the user-defined atom tag from the command
- `value` - the intermediate value emitted by the stream

## Pattern matching

    def update(model, %StreamEvent{tag: :download, value: %{progress: p}}), do: ...
    def update(model, %StreamEvent{tag: :search, value: result}), do: ...

# `t`

```elixir
@type t() :: %Plushie.Event.StreamEvent{tag: atom(), value: term()}
```

---

*Consult [api-reference.md](api-reference.md) for complete listing*
